Package org.springframework.jdbc.config

# Class SortedResourcesFactoryBean

java.lang.Object
org.springframework.beans.factory.config.AbstractFactoryBean<org.springframework.core.io.Resource[]>
org.springframework.jdbc.config.SortedResourcesFactoryBean

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.BeanClassLoaderAware`, `org.springframework.beans.factory.BeanFactoryAware`, `org.springframework.beans.factory.DisposableBean`, `org.springframework.beans.factory.FactoryBean<org.springframework.core.io.Resource[]>`, `org.springframework.beans.factory.InitializingBean`, `org.springframework.context.ResourceLoaderAware`

public class SortedResourcesFactoryBean extends org.springframework.beans.factory.config.AbstractFactoryBean<org.springframework.core.io.Resource[]> implements org.springframework.context.ResourceLoaderAware
`FactoryBean` implementation that takes a list of location Strings and creates a sorted array of `Resource` instances.

Since:
  3.0
Author:
  Dave Syer, Juergen Hoeller, Christian Dupuis

## Field Summary

### Fields inherited from class org.springframework.beans.factory.config.AbstractFactoryBean

`logger`

### Fields inherited from interface org.springframework.beans.factory.FactoryBean

`OBJECT_TYPE_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`SortedResourcesFactoryBean(List<String> locations)`
`SortedResourcesFactoryBean(org.springframework.core.io.ResourceLoader resourceLoader, List<String> locations)`

## Method Summary

Modifier and Type
Method
Description
`protected org.springframework.core.io.Resource[]`
`createInstance()`
`Class<? extends org.springframework.core.io.Resource[]>`
`getObjectType()`
`void`
`setResourceLoader(org.springframework.core.io.ResourceLoader resourceLoader)`

### Methods inherited from class org.springframework.beans.factory.config.AbstractFactoryBean

`afterPropertiesSet, destroy, destroyInstance, getBeanFactory, getBeanTypeConverter, getEarlySingletonInterfaces, getObject, isSingleton, setBeanClassLoader, setBeanFactory, setSingleton`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SortedResourcesFactoryBean

public SortedResourcesFactoryBean(List<String> locations)

### SortedResourcesFactoryBean

public SortedResourcesFactoryBean(org.springframework.core.io.ResourceLoader resourceLoader, List<String> locations)

## Method Details

### setResourceLoader

public void setResourceLoader(org.springframework.core.io.ResourceLoader resourceLoader)

Specified by:
  `setResourceLoader` in interface `org.springframework.context.ResourceLoaderAware`

### getObjectType

public Class<? extends org.springframework.core.io.Resource[]> getObjectType()

Specified by:
  `getObjectType` in interface `org.springframework.beans.factory.FactoryBean<org.springframework.core.io.Resource[]>`
Specified by:
  `getObjectType` in class `org.springframework.beans.factory.config.AbstractFactoryBean<org.springframework.core.io.Resource[]>`

### createInstance

protected org.springframework.core.io.Resource[] createInstance() throws Exception

Specified by:
  `createInstance` in class `org.springframework.beans.factory.config.AbstractFactoryBean<org.springframework.core.io.Resource[]>`
Throws:
  `Exception`